Subject: bug#40125: Problem with guix offload: Remote channel closed

From: Mikael Djurfeldt <[email-masked]>
Date: Sat, 21 Mar 2020 17:05:20 +0100

Hi Ludovic! :-)

I did generate the signing key on wand. (But is this sensitive to what user
I used? O might have done it as root rather than as the ssh user used to
login on wand.)

I will look at the other buh reports. Meanwhile, do you have any hint on
where to look/insert logging code in order to see what is going on?

Best regards,
Mikael

Den lör 21 mars 2020 16:50Ludovic Courtès <[email-masked]> skrev:

> Hi Mikael!
>
> Good to see you here.  :-)
>
> Mikael Djurfeldt <[email-masked]> skribis:
>
> > mdj@hat:~$ guix offload test
> > guix offload: testing 1 build machines defined in
> > '/etc/guix/machines.scm'...
> > guix offload: Guix is usable on 'wand.pdc.kth.se' (test returned
> > "/gnu/store/883yjkl46dxw9mzykykmbs0yzwyxm17z-test")
> > guix offload: 'wand.pdc.kth.se' is running GNU Guile 3.0.1
> > sending 1 store item (0 MiB) to 'wand.pdc.kth.se'...
> > exporting path `/gnu/store/gl7dps3yx0vrxz16sj7q3w7gs3vdbxj4-export-test'
> > ;;; [2020/03/18 20:53:04.930901, 0] write_to_channel_port: [GSSH ERROR]
> > Remote channel is closed: #<input-output: channel (open) 7f5ed680e780>
> > Backtrace:
> >            1 (primitive-load "/home/mdj/.config/guix/current/bin/guix")
> > In guix/ui.scm:
> >   1833:12  0 (run-guix-command _ . _)
> >
> > guix/ui.scm:1833:12: In procedure run-guix-command:
> > Throw to key `guile-ssh-error' with args `("write_to_channel_port"
> "Remote
> > channel is closed" #<input-output: channel (open) 7f5ed680e780> #f)'.
>
> Did you generate a signing key on wand.pdc.kth.se?  Specifically with:
>
>   sudo guix archive --generate-key
>
> (See
> <https://guix.gnu.org/manual/devel/en/html_node/Invoking-guix-archive.html
> >.)
>
> Error reporting in guix offload is currently suboptimal as you have
> seen.  There’s a couple of bug reports open on that topic, so hopefully
> we’ll get there soon!
>
> Ludo’.
>